hpp-corbaserver: hpp::corbaServer::AbstractStorage< T, Base > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Public Attributes | List of all members
hpp::corbaServer::AbstractStorage< T, Base > Class Template Reference
Extending the bindings

`#include <hpp/corbaserver/servant-base.hh>`

## Public Types
typedef weak_ptr< T > | ptr_t
typedef T | element_type

## Public Member Functions
| AbstractStorage (const ptr_t &_element)
| operator shared_ptr< T > () const
| operator weak_ptr< T > () const
long | use_count () const
| operator bool () const

## Public Attributes
ptr_t | element

## Detailed Description

### template<typename T, typename Base>
class hpp::corbaServer::AbstractStorage< T, Base >

Abstraction of storage ot HPP class.

In most cases, it is sufficient to use shared_ptr<Class>. However, there are some cases where you need more information in the AbstractServantBase derived class. For instance, if you want to check the inputs (which is recommended), you may need to store the robot. See hpp::corbaServer::core_idl::Distance for an example.

Child classed must implement

template <typename T> DistanceStorage<T> cast () const
{
return DistanceStorage<T> (r, HPP_DYNAMIC_PTR_CAST(T, d));
}
cast
archive_ptr_holder & cast(Archive &ar)
HPP_DYNAMIC_PTR_CAST
#define HPP_DYNAMIC_PTR_CAST(t, x)

## Member Typedef Documentation

## ◆ element_type

template<typename T , typename Base >

typedef T hpp::corbaServer::AbstractStorage< T, Base >::element_type

## ◆ ptr_t

template<typename T , typename Base >

typedef weak_ptr<T> hpp::corbaServer::AbstractStorage< T, Base >::ptr_t

## Constructor & Destructor Documentation

## ◆ AbstractStorage()

template<typename T , typename Base >

hpp::corbaServer::AbstractStorage< T, Base >::AbstractStorage | ( | const ptr_t & | _element | ) |
| inline

## Member Function Documentation

## ◆ operator bool()

template<typename T , typename Base >

hpp::corbaServer::AbstractStorage< T, Base >::operator bool | ( |  | ) | const
| inline

## ◆ operator shared_ptr< T >()

template<typename T , typename Base >

hpp::corbaServer::AbstractStorage< T, Base >::operator shared_ptr< T > | ( |  | ) | const
| inline

## ◆ operator weak_ptr< T >()

template<typename T , typename Base >

hpp::corbaServer::AbstractStorage< T, Base >::operator weak_ptr< T > | ( |  | ) | const
| inline

## ◆ use_count()

template<typename T , typename Base >

long hpp::corbaServer::AbstractStorage< T, Base >::use_count | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ element

template<typename T , typename Base >

ptr_t hpp::corbaServer::AbstractStorage< T, Base >::element

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/servant-base.hh